Android Question android-28 update problem

Lello1964

Active Member
Licensed User
i have updated my anrdoid-26 version to android-28, and updated SDKManager to latest version.

now when i compile my app have this error message :

B4A Versione: 8.50
Analisi del Codice. (0.80s)
Building folders structure. (0.01s)
Compilazione del codice. (1.47s)
Compilazione del codice di layouts (0.36s)
Organizzazione Librerie. (4.50s)
Generazione file R. Error
C:\ANDROID\SVILUPPO\JetDocument\Objects\bin\extra\res14\res\values\values.xml:99: error: Attribute "icon" has already been defined
C:\ANDROID\SVILUPPO\JetDocument\Objects\bin\extra\res14\res\values\values.xml:963: error: Attribute "iconTint" has already been defined
C:\ANDROID\SVILUPPO\JetDocument\Objects\bin\extra\res14\res\values\values.xml:1041: error: Attribute "closeIcon" has already been defined

i have tryed to back to android-26 but cannot compile again.
 

BillMeyer

Well-Known Member
Licensed User
Good Day,

I also got this error after going to v28 and could not find a permanent solution so I used a workaround.

I opened that file, navigated to that line (eg. Line 99) and deleted that entry (you need to do it for all 3 those lines). It worked - the only problem is that every time you close and then run the IDE again it will re-occur, but for now it works for me.

Enjoy.
 

Erel

Administrator
Staff member
Licensed User
Which views from that library are you using? Maybe there are simpler alternatives.
 

Lello1964

Active Member
Licensed User
Sorry, now i'm come back home.
I's a big problem, must change more modules & forms.

Later i will check ..
 

jimmyF

Active Member
Licensed User
I use DesignSupport v. 2.32 library in a large project and my sdk is completely up to date and I have no problem with it.
I am using the DSNavigationDrawer. I also use AHViewPager with no problems.

I am NOT using DSTabLayout which was causing problems for another user/member
 

Lello1964

Active Member
Licensed User
i have test it, has you see in my #6 post, i have problem only selectin DesignSupport and compiling in a empty project.

I'm using : C:\Program Files\Java\jdk-10.0.1\bin\javac.exe
Android\sdk\platforms\android-28\android.jar
Sdk version 3.30

all modules are updated.

:confused::confused:
 

Peter Simpson

Expert
Licensed User
i have test it, has you see in my #6 post, i have problem only selectin DesignSupport and compiling in a empty project.

I'm using : C:\Program Files\Java\jdk-10.0.1\bin\javac.exe
Android\sdk\platforms\android-28\android.jar
Sdk version 3.30

all modules are updated.

:confused::confused:
I've just read your post #6 above, I also saw your post HERE.

Are you trying to say that all you have to do is go to the library tab, check ABKeyboard and check DesignSupport, compile the blank project and you are getting an error?
If that is true then leas post the logs from the failed blank project as I followed your direction and I compiled and installed a blank project onto my phone, and yes my path is already set to platforms\android-28\android.jar and also I tested it on SDK target 26 and 28.

Screen shots:
Libs Tab

Libs.png


Logs Tab
logs.png


No problems here, none whatsoever, the project compiled first time of asking after downloading the ABKeyboardVisible library.
Are you sure that you have install all the required components and that you have not missed anything?

Which component(s) in DesignSupport are you using?
 
Last edited:

Peter Simpson

Expert
Licensed User
i'm using DesignSupport 2.32, i have downloaded againg frrom : https://www.b4x.com/android/forum/threads/designsupport-additional-material-design-components.58893/

All you says is right.

but still have error.

This problem is started from update SDK Manger to 3.30.
I installed SDK Manager 3.30 either yesterday or the day before, it works fie for me.

You should delete your entire Android SDK folder and just reinstall it again from scratch, the problem IS NOT to do with B4a.
 

Peter Simpson

Expert
Licensed User
[SOLVED]

:):):):)

I have found problem.

I have removed ANDROID SDK Build-Tools older than 28.0.3, ( 23.0.0)!!

and now OK!!!!!!!
Hmm, wait a minute. If you delete 27.0.1 B4A SDK Manager will just ask you to download it again as an recommended package. I have both 27.0.1 and 28.0.1 with absolutely no issues whatsoever.

Anyway pleased that you got it working again...
 

Lello1964

Active Member
Licensed User
:oops::oops:

Compilation ok but :

at
Activity.LoadLayout("gest_clienti")

i have this error :

java.lang.RuntimeException: java.lang.reflect.InvocationTargetException
at anywheresoftware.b4a.keywords.LayoutBuilder.loadLayout(LayoutBuilder.java:170)
at anywheresoftware.b4a.objects.ActivityWrapper.LoadLayout(ActivityWrapper.java:209)
at jet.document.gestclienti._activity_create(gestclienti.java:538)
at java.lang.reflect.Method.invoke(Native Method)
at anywheresoftware.b4a.shell.Shell.runMethod(Shell.java:733)
at anywheresoftware.b4a.shell.Shell.raiseEventImpl(Shell.java:355)
at anywheresoftware.b4a.shell.Shell.raiseEvent(Shell.java:255)
at java.lang.reflect.Method.invoke(Native Method)
at anywheresoftware.b4a.ShellBA.raiseEvent2(ShellBA.java:144)
at jet.document.gestclienti.afterFirstLayout(gestclienti.java:104)
at jet.document.gestclienti.access$000(gestclienti.java:17)
at jet.document.gestclienti$WaitForLayout.run(gestclienti.java:82)
at android.os.Handler.handleCallback(Handler.java:808)
at android.os.Handler.dispatchMessage(Handler.java:101)
at android.os.Looper.loop(Looper.java:166)
at android.app.ActivityThread.main(ActivityThread.java:7425)
at java.lang.reflect.Method.invoke(Native Method)
at com.android.internal.os.Zygote$MethodAndArgsCaller.run(Zygote.java:245)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:921)
Caused by: java.lang.reflect.InvocationTargetException
at java.lang.reflect.Method.invoke(Native Method)
at anywheresoftware.b4a.objects.CustomViewWrapper.AfterDesignerScript(CustomViewWrapper.java:64)
at anywheresoftware.b4a.keywords.LayoutBuilder.loadLayout(LayoutBuilder.java:162)
... 18 more
Caused by: java.lang.NoSuchMethodError: No virtual method addOnTabSelectedListener(Landroid/support/design/widget/TabLayout$OnTabSelectedListener;)V in class Landroid/support/design/widget/TabLayout; or its super classes (declaration of 'android.support.design.widget.TabLayout' appears in /data/app/jet.document-uSeDLM1VgOGtEKp3XK5IvA==/base.apk:classes2.dex)
at de.amberhome.objects.TabLayoutWrapper.innerInitialize(TabLayoutWrapper.java:63)
at anywheresoftware.b4a.objects.ViewWrapper.Initialize(ViewWrapper.java:67)
at de.amberhome.objects.TabLayoutWrapper.Initialize(TabLayoutWrapper.java:52)
at de.amberhome.objects.TabLayoutWrapper._initialize(TabLayoutWrapper.java:90)
... 21 more

this error is in many Activity.LoadLayout(

in layout i use : DSTabLayout custom object, i thik this is problem.

???
 
Last edited:
Top